\name{MLbias}
\alias{MLbias}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
%%  ~~function to do ... ~~
Machine learning bias correction
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
This package performs binary classification tasks with 10 machine learning models with various number of features and output the smallest error rate from cross validation and the corrected error rates with several methods including tibshirani's method, inverse power law estimation and nested cross validation.
}
\usage{
ML_bias(dataX, dataY, cross_validation = "5_fold", feature_set = c(2:3), cpu_num = 4)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{dataX}{
%%     ~~Describe \code{dataX} here~~
The dataset with rows corresponding to samples and columns corresponding to features
}
  \item{dataY}{
%%     ~~Describe \code{dataY} here~~
The labels of the two class (binary)
}
  \item{cross_validation}{
%%     ~~Describe \code{cross_validation} here~~
Whether the error rate evaluation is "5_fold" or "10_fold", only applied to tibshirani's method. NestedCV use leave one out when sample size is smaller than 50 and IPL use subsampling methods
}
  \item{feature_set}{
%%     ~~Describe \code{feature_set} here~~
A numerical vector represent how many features to use for each machine learning methods. For example, if feature_set=c(2,3), means for every method, 2 or 3 features are tried. Features are ranked by the t test.
}
  \item{cpu_num}{
%%     ~~Describe \code{cpu_num} here~~
number of cpu to use, only applied to IPL method
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
It will output the minimal error rate from cross valiation and corrected error rates from tibshirani's method, IPL and nestedCV
}
\references{
%% ~put references to the literature/web site here ~
Ying Ding, Shaowu Tang, Ge Liao, Jia Jia, Steffi Oesterreich, Yan Lin, George C. Tseng*. (2014) Bias correction when selecting the minimal-error classifier from many machine learning models in genomic applications. Bioinformatics.2014 Aug 1.
}
\author{
%%  ~~who you are~~
Ying Ding
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
## simple simulated dataset
data=iris
dataX=iris[,1:4]
dataY=ifelse(iris[,5]=="setosa",1,0)
dataY=sample(dataY)
ML_bias(dataX,dataY,"5_fold",feature_set=c(2:3),cpu=2)
#output:
#classifier: random forest with 2 of features has the smallest MEC error rate: 0.333333333333333 
#the corrected error rate with tibshirani's method is : 0.353 
#the corrected error rate with nestedCV method is : 0.34 
#the corrected error rate with IPL method is : 0.33
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 } machine learning
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
